<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:40:32 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.impl.auth (HttpComponents Client 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.impl.auth (HttpComponents Client 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/entity/mime/content/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/auth/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<H2>
Package org.apache.http.impl.auth
</H2>
Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/auth/package-summary.html"><CODE>org.apache.http.auth</CODE></A>.
<P>
<B>See:</B>
<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="#package_description"><B>Description</B></A>
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Interface Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/NTLMEngine.html" title="interface in org.apache.http.impl.auth">NTLMEngine</A></B></TD>
<TD>Abstract NTLM authentication engine.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/SpnegoTokenGenerator.html" title="interface in org.apache.http.impl.auth">SpnegoTokenGenerator</A></B></TD>
<TD><B>Deprecated.</B>&nbsp;<I>(4.2)  subclass <A HREF="../../../../../org/apache/http/impl/auth/KerberosScheme.html" title="class in org.apache.http.impl.auth"><CODE>KerberosScheme</CODE></A> and override
   <A HREF="../../../../../org/apache/http/impl/auth/GGSSchemeBase.html#generateGSSToken(byte[], org.ietf.jgss.Oid, java.lang.String)"><CODE>GGSSchemeBase.generateGSSToken(byte[], org.ietf.jgss.Oid, String)</CODE></A></I></TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/AuthSchemeBase.html" title="class in org.apache.http.impl.auth">AuthSchemeBase</A></B></TD>
<TD>Abstract authentication scheme class that serves as a basis
 for all authentication schemes supported by HttpClient.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/BasicScheme.html" title="class in org.apache.http.impl.auth">BasicScheme</A></B></TD>
<TD>Basic authentication scheme as defined in RFC 2617.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/BasicSchemeFactory.html" title="class in org.apache.http.impl.auth">BasicSchemeFactory</A></B></TD>
<TD><A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth"><CODE>AuthSchemeProvider</CODE></A> implementation that creates and initializes
 <A HREF="../../../../../org/apache/http/impl/auth/BasicScheme.html" title="class in org.apache.http.impl.auth"><CODE>BasicScheme</CODE></A> instances.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/DigestScheme.html" title="class in org.apache.http.impl.auth">DigestScheme</A></B></TD>
<TD>Digest authentication scheme as defined in RFC 2617.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/DigestSchemeFactory.html" title="class in org.apache.http.impl.auth">DigestSchemeFactory</A></B></TD>
<TD><A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth"><CODE>AuthSchemeProvider</CODE></A> implementation that creates and initializes
 <A HREF="../../../../../org/apache/http/impl/auth/DigestScheme.html" title="class in org.apache.http.impl.auth"><CODE>DigestScheme</CODE></A> instances.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/GGSSchemeBase.html" title="class in org.apache.http.impl.auth">GGSSchemeBase</A></B></TD>
<TD>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/KerberosScheme.html" title="class in org.apache.http.impl.auth">KerberosScheme</A></B></TD>
<TD>KERBEROS authentication scheme.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/KerberosSchemeFactory.html" title="class in org.apache.http.impl.auth">KerberosSchemeFactory</A></B></TD>
<TD><A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth"><CODE>AuthSchemeProvider</CODE></A> implementation that creates and initializes
 <A HREF="../../../../../org/apache/http/impl/auth/KerberosScheme.html" title="class in org.apache.http.impl.auth"><CODE>KerberosScheme</CODE></A> instances.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/NegotiateScheme.html" title="class in org.apache.http.impl.auth">NegotiateScheme</A></B></TD>
<TD><B>Deprecated.</B>&nbsp;<I>(4.2)  use <A HREF="../../../../../org/apache/http/impl/auth/SPNegoScheme.html" title="class in org.apache.http.impl.auth"><CODE>SPNegoScheme</CODE></A> or <A HREF="../../../../../org/apache/http/impl/auth/KerberosScheme.html" title="class in org.apache.http.impl.auth"><CODE>KerberosScheme</CODE></A>.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/NegotiateSchemeFactory.html" title="class in org.apache.http.impl.auth">NegotiateSchemeFactory</A></B></TD>
<TD><B>Deprecated.</B>&nbsp;<I>(4.2)  use <A HREF="../../../../../org/apache/http/impl/auth/SPNegoSchemeFactory.html" title="class in org.apache.http.impl.auth"><CODE>SPNegoSchemeFactory</CODE></A> or <A HREF="../../../../../org/apache/http/impl/auth/KerberosSchemeFactory.html" title="class in org.apache.http.impl.auth"><CODE>KerberosSchemeFactory</CODE></A>.</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/NTLMScheme.html" title="class in org.apache.http.impl.auth">NTLMScheme</A></B></TD>
<TD>NTLM is a proprietary authentication scheme developed by Microsoft
 and optimized for Windows platforms.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/NTLMSchemeFactory.html" title="class in org.apache.http.impl.auth">NTLMSchemeFactory</A></B></TD>
<TD><A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth"><CODE>AuthSchemeProvider</CODE></A> implementation that creates and initializes
 <A HREF="../../../../../org/apache/http/impl/auth/NTLMScheme.html" title="class in org.apache.http.impl.auth"><CODE>NTLMScheme</CODE></A> instances configured to use the default <A HREF="../../../../../org/apache/http/impl/auth/NTLMEngine.html" title="interface in org.apache.http.impl.auth"><CODE>NTLMEngine</CODE></A>
 implementation.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/RFC2617Scheme.html" title="class in org.apache.http.impl.auth">RFC2617Scheme</A></B></TD>
<TD>Abstract authentication scheme class that lays foundation for all
 RFC 2617 compliant authentication schemes and provides capabilities common
 to all authentication schemes defined in RFC 2617.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/SPNegoScheme.html" title="class in org.apache.http.impl.auth">SPNegoScheme</A></B></TD>
<TD>SPNEGO (Simple and Protected GSSAPI Negotiation Mechanism) authentication
 scheme.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/SPNegoSchemeFactory.html" title="class in org.apache.http.impl.auth">SPNegoSchemeFactory</A></B></TD>
<TD><A HREF="../../../../../org/apache/http/auth/AuthSchemeProvider.html" title="interface in org.apache.http.auth"><CODE>AuthSchemeProvider</CODE></A> implementation that creates and initializes
 <A HREF="../../../../../org/apache/http/impl/auth/SPNegoScheme.html" title="class in org.apache.http.impl.auth"><CODE>SPNegoScheme</CODE></A> instances.</TD>
</TR>
</TABLE>
&nbsp;

<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Exception Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/NTLMEngineException.html" title="class in org.apache.http.impl.auth">NTLMEngineException</A></B></TD>
<TD>Signals NTLM protocol failure.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD WIDTH="15%"><B><A HREF="../../../../../org/apache/http/impl/auth/UnsupportedDigestAlgorithmException.html" title="class in org.apache.http.impl.auth">UnsupportedDigestAlgorithmException</A></B></TD>
<TD>Authentication credentials required to respond to a authentication
 challenge are invalid</TD>
</TR>
</TABLE>
&nbsp;

<P>
<A NAME="package_description"><!-- --></A><H2>
Package org.apache.http.impl.auth Description
</H2>

<P>
Default implementations for interfaces in
<A HREF="../../../../../org/apache/http/auth/package-summary.html"><CODE>org.apache.http.auth</CODE></A>.
<P>

<P>
<DL>
</DL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Package</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-use.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/entity/mime/content/package-summary.html"><B>PREV PACKAGE</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/impl/client/package-summary.html"><B>NEXT PACKAGE</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/impl/auth/package-summary.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-summary.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
